tag: {
  pkgs 
, lib
, buildPythonPackage 
, migen
, setuptools
, litex
}: buildPythonPackage {
  pname = "litescope";
  version = "${tag}";

  src = pkgs.fetchFromGitHub {
    owner = "enjoy-digital";
    repo = "litescope";
    rev = "${tag}";
    hash = "sha256-OWC+XwB+BzlCQkPKJCbQ0W4T6JbsInldrn9jYYjWypM=";
  };

  buildInputs = [
    litex
  ];

  checkPhase = ''
    python -m unittest test
  '';
  doCheck = true;
}
