tag: {
  pkgs 
, lib
, buildPythonPackage 
, pyserial
, migen
, requests
, packaging
, pexpect
}: buildPythonPackage {
  pname = "litex";
  version = "${tag}";

  src = pkgs.fetchFromGitHub {
    owner = "enjoy-digital";
    repo = "litex";
    rev = "${tag}";
    hash = "sha256-OcwqYLQ7ec2vTewdIJqP/aTCJ4yI43OIOkTMD/hIKO0=";
  };

  buildInputs = [
    migen
  ];

  propagatedBuildInputs = [
    requests
    pyserial
    packaging
  ];

  doCheck = false;
}
