tag: {
  pkgs 
, lib
, buildPythonPackage 
, migen
, pyyaml
}: buildPythonPackage {
  pname = "litedram";
  version = "${tag}";

  src = pkgs.fetchFromGitHub {
    owner = "enjoy-digital";
    repo = "litedram";
    rev = "${tag}";
    hash = "sha256-EaUszy0v6r5sKM5d5YmpRbR8Cf9xITObU71zUpg9cLU=";
  };

  buildInputs = [
    pyyaml
    migen
  ];

  checkPhase = ''
    python -m unittest test
  '';
  doCheck = true;
}
