tag: {
  pkgs 
, buildPythonPackage 
, litex
}: buildPythonPackage {
  pname = "liteiclink";
  version = "${tag}";

  src = pkgs.fetchFromGitHub {
    owner = "enjoy-digital";
    repo = "liteiclink";
    rev = "${tag}";
    hash = "sha256-5Hp5vFqmfkXo1q60FvOkToTy952svirChIPIvkam04M=";
  };

  buildInputs = [
    litex
  ];

  checkPhase = ''
    python -m unittest test
  '';
  doCheck = true;
}
