tag: {
  pkgs 
, lib
, buildPythonPackage 
, migen
, setuptools
, litex
}: buildPythonPackage {
  pname = "litespi";
  version = "${tag}";

  src = pkgs.fetchFromGitHub {
    owner = "litex-hub";
    repo = "litespi";
    rev = "${tag}";
    hash = "sha256-XYeWokF1IGtZWRK+6jhRSN91MOV5vyh5aO08sbtFBxw=";
  };

  buildInputs = [
    litex
  ];

  propagatedBuildInputs = [
    migen
  ];

  nativeCheckInputs = [
  ];

  checkPhase = ''
    python -m unittest test
  '';
  doCheck = true;
}
